import { DocumentData, FirestoreDataConverter, WithFieldValue, QueryDocumentSnapshot } from 'firebase-admin/firestore';
import { A as Adapter, F as FirestoreDataConverterConstructor, D as DefaultConverterBase, a as DefaultConverterOptions } from '../index-BwGpjUpp.js';
import 'firebase/firestore';

/**
 * Defines an Adapter implementation for use in node, using firebase-admin serverside SDK
 */
declare const adapter: Adapter;
declare function createConverter<T extends DocumentData, TDB extends DocumentData>(converter: FirestoreDataConverterConstructor<T, TDB>): FirestoreDataConverter<T, TDB>;
/**
 * DefaultConverter for firebase-admin SDK to handle common data type conversions
 */
declare class DefaultConverter<T extends DocumentData> extends DefaultConverterBase<T> implements FirestoreDataConverter<T, DocumentData> {
    constructor(options?: DefaultConverterOptions);
    toFirestore(model: WithFieldValue<T>): WithFieldValue<DocumentData>;
    fromFirestore(snapshot: QueryDocumentSnapshot<T, DocumentData>): T;
}

export { DefaultConverter, adapter, createConverter };
